/*
 * Class CURSOR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_602 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_602 [] = {0xFF01,1551,601,0xFFFF};
static const EIF_TYPE_INDEX egt_2_602 [] = {0xFF01,601,0xFFFF};
static const EIF_TYPE_INDEX egt_3_602 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_602 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_602 [] = {0xFF01,601,0xFFFF};
static const EIF_TYPE_INDEX egt_6_602 [] = {0xFF01,601,0xFFFF};
static const EIF_TYPE_INDEX egt_7_602 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_602 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_602 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_602 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_602 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_602 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_602[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_602), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_602), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_602), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_602), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_602), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_602), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_602), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_602), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_602), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_602), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_602), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_602), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04B3 /*601*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_602), 30, 0xFFFFFFFF},
};
void Init602(void)
{
	IDSC(desc_602, 0, 601);
	IDSC(desc_602 + 1, 1, 601);
}


#ifdef __cplusplus
}
#endif
